//
//  LiveRoomChatRawMessage.swift
//  SodaLive
//
//  Created by klaus on 2023/08/14.
//

import Foundation

struct LiveRoomChatRawMessage: Codable {
    enum LiveRoomChatRawMessageType: String, Codable {
        case DONATION, SECRET_DONATION, EDIT_ROOM_INFO, SET_MANAGER, TOGGLE_ROULETTE, ROULETTE_DONATION, HEART_DONATION
    }
    
    let type: LiveRoomChatRawMessageType
    let message: String
    let can: Int
    var signature: LiveRoomDonationResponse? = nil
    var signatureImageUrl: String? = nil
    let donationMessage: String?
    var isActiveRoulette: Bool? = nil
}
